; entering transponders from a list into STB channel editor
; source: http://www.dusko-lolic.from.hr/
; script interpreter: http://www.autohotkey.com/
; transponder lists: http://www.fastsatfinder.com/transponders.html

;AVChannelEdit (YU-MA-TU, Truman...)
;Prior to running the script, open the AVChannelEdit, select the "Transponder" tab and choose the satelite!

inifile=all.ini ;ini file containing transponders in progdvb format
satellite=0192 ;ini file section containing the satellite data

winactivate AVChannelEdit
ifwinnotactive,AVChannelEdit
exit ;exit if the AVChannelEdit window does not exist or cannot be activated

IniRead, Counter, %inifile%, %satellite%, 0 ;key 0 contains the number of transponders for the satellite
loop,%Counter%
{
IniRead, transponder, %inifile%, %satellite%, %a_index%
stringsplit param,transponder,`, ;splits "12070,H,27500,34" by comma delimeter
; %param1% is frequency, %param2% polarization, %param3% symbol rate
click 330,160 ;click into transponder list to enable CTRL+n
send ^n ;CTRL+n -> new transponder
click 375,112,2 ;double click frequency field (select the contents)
send %param1% ;enter the frequency, overwriting the previous value
click 480,112,2 ;double click symbol rate field (select the contents)
send %param3% ;enter the symbol rate
click 226,112 ;click on polarization, a menu drops down (Horizontal/Vertical)
ifequal,param2,H ;if polarization is Horizontal
click 277,125 ;click on "Horizontal" in drop menu
else
click 277,145 ;click on "Vertical" in drop menu
} ;repeat loop for each transponder
