; entering transponders from a list into STB channel editor
; source: http://www.dusko-lolic.from.hr/
; script interpreter: http://www.autohotkey.com/
; transponder lists: http://www.fastsatfinder.com/transponders.html

;AliEditor (Infinity)
;Prior to running the script, create an empty satellite

inifile=all.ini ;ini file containing transponders in progdvb format
satellite=0130 ;ini file section containing the satellite data

winactivate AliEditor ;activate the channel editor
ifwinnotactive AliEditor
exit ;exit if the STB_Manager window does not exist or cannot be activated

IniRead, Counter, %inifile%, %satellite%, 0 ;key 0 contains the number of transponders for the satellite
loop,%Counter%
{
IniRead, transponder, %inifile%, %satellite%, %a_index%
stringsplit param,transponder,`, ;splits "12070,H,27500,34" by comma delimeter
; %param1% is frequency, %param2% polarization, %param3% symbol rate
click,right,55,110 ;right click on satellite
send,a ;Add Information
send,%param1% ;enter frequency
send,{Tab} ;move to polarizaton field
send,%param2% ;enter polarization
send,{Tab} ;move to symbol rate field
send,%param3% ;enter symbol rate    
send,{Tab}{Tab}{Tab} ;move to "OK" button
send,{enter} ;press "OK"
sleep,300 ;give it time to process
} ;repeat loop for each transponder
